Bug 147970 - net/quagga: Ipv6 addresses cannot be assigned to interfaces by Quagga
net/quagga: Ipv6 addresses cannot be assigned to interfaces by Quagga
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Any Any
: Normal Affects Only Me
Assigned To: Baptiste Daroussin
Depends on:
  Show dependency treegraph
Reported: 2010-06-18 14:40 UTC by olivier
Modified: 2010-08-25 09:10 UTC (History)
0 users

See Also:

patch-configure.ac (1.56 KB, application/octet-stream)
2010-06-21 23:14 UTC, olivier
no flags Details
Makefile.diff (302 bytes, patch)
2010-06-23 12:51 UTC, olivier
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description olivier 2010-06-18 14:40:02 UTC
It's not possible to configure the IPv6 adresses on an interface using Quagga.

Hopefully it's a known bug and it seems to have a patch for it here:

But I didn't know how to apply this patch, my comment is here: https://bugzilla.quagga.net/show_bug.cgi?id=408#c8


How-To-Repeat: [root@router]~#ifconfig em0 | grep inet
		inet netmask 0xffffff00 broadcast
        inet6 fe80::a00:27ff:fe82:5341%em0 prefixlen 64 scopeid 0x1
router.bsdrp.net# conf t
router.bsdrp.net(config)# int em0
router.bsdrp.net(config-if)# ipv6 address 2001::bad:c0fe/64
router.bsdrp.net(config-if)# ip address
router.bsdrp.net(config-if)# exit
router.bsdrp.net(config)# exit
router.bsdrp.net# exit
[root@router]~#ifconfig em0 | grep inet
        inet netmask 0xffffff00 broadcast
        inet6 fe80::a00:27ff:fe82:5341%em0 prefixlen 64 scopeid 0x1
        inet netmask 0xffffff00 broadcast

=> No IPv6 adresse configured :-(
Comment 1 Edwin Groothuis freebsd_committer 2010-06-18 14:40:10 UTC
Maintainer of net/quagga,

Please note that PR ports/147970 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:

Edwin Groothuis via the GNATS Auto Assign Tool
Comment 2 Edwin Groothuis freebsd_committer 2010-06-18 14:40:12 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 boris 2010-06-19 10:10:19 UTC
Please join quagga-users list and try to find help there. Also I want to 
update port to 0.99.16 version and may be this bug is already fixed.

Comment 4 olivier 2010-06-21 12:35:59 UTC
Hi Boris,

Release 0.99.16 didn't fix the problem.

I will try the quagga-user list.

Thanks for your port !


Comment 5 olivier 2010-06-21 23:14:26 UTC

I've got an answer on the quagga-devel mailing list: The patch is
included to this mail.
Here is how to procced:

Put the file patch-configure.ac in /usr/ports/net/quagga/files/


cd /usr/ports/net/quagga/
make patch
cd work/quagga-0.99.16/
autoreconf -i
cd ../../
make install

I've tried to modify the quagga port Makefile, but I didn't know how
to force the "autoreconf -i".


Comment 6 olivier 2010-06-23 12:51:41 UTC
Here is the Makefile patch for the net/quagga.
To be used with the patch-configure.ac previoulsy send.

These 2 patchs fix the FreeBSD IPv6/Quagga bug.


Comment 7 Baptiste Daroussin freebsd_committer 2010-08-18 16:02:12 UTC
Responsible Changed
From-To: freebsd-ports-bugs->bapt

I'll take it.
Comment 8 Baptiste Daroussin freebsd_committer 2010-08-18 16:09:12 UTC
What about this PR? do you approve ?

Comment 9 Mark Linimon freebsd_committer 2010-08-25 05:40:06 UTC
State Changed
From-To: feedback->closed

Superseded by ports/149940.
Comment 10 dfilter freebsd_committer 2010-08-25 09:00:27 UTC
niels       2010-08-25 08:00:03 UTC

  FreeBSD ports repository

  Modified files:
    net/quagga           Makefile distinfo 
  Added files:
    net/quagga/files     patch-configure.ac 
  Removed files:
    net/quagga/files     patch-configure 
  - Security update to version 0.99.17
  - This update also resolves functional problems of PR 148238 and 147970
  PR:             ports/149940
  PR:             ports/148238
  PR:             ports/147970
  Approved by:    itetcu (mentor, implicit), maintainer
  Submitted by:   mike@sentex.net, maintainer
  Security:       167953a4-b01c-11df-9a98-0015587e2cc1
  Security:       http://www.openwall.com/lists/oss-security/2010/08/24/3
  Revision  Changes    Path
  1.100     +3 -3      ports/net/quagga/Makefile
  1.26      +3 -3      ports/net/quagga/distinfo
  1.6       +0 -10     ports/net/quagga/files/patch-configure (dead)
  1.4       +57 -0     ports/net/quagga/files/patch-configure.ac (new)
cvs-all@freebsd.org mailing list
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"